---
layout: docs
page_title: users update - Command
description: >-
  The "users update" command updates an existing user's information.
---

# users update

Command: `users update`

The `users update` command lets you update a user's information.

## Example

This example updates a user with the ID `u_1234567890` to add the name `devops` and the description `User for DevOps`:

```shell-session
$ boundary users update -id u_1234567890 -name "devops" -description "User for DevOps"
```

## Usage

<CodeBlockConfig hideClipboard>

```shell-session
$ boundary users update [options] [args]
```

</CodeBlockConfig>

### Command options

- `-description=<string>` - The description to assign the user.
- `-id=<string>` - The ID of the user you want to update.
- `-name=<string>` - The name to assign the user.
- `-version=<int>` - The version of the user to perform the operation on.
If you do not specify a version, the command performs a check-and-set automatically.

@include 'cmd-option-note.mdx'